<? function db_connect() {
    // адрес сервера БД
    $db_host = 'localhost';
    // учетная запись - логин
    $db_user = 'ferma';
    // учетная запись - пароль
    $db_pass = 'dadada';
    // имя БД
    $db_name = 'ferma';

    $link = mysql_connect($db_host, $db_user, $db_pass);
    if (!$link) {
        die('Ошибка соединения с БД: ' . mysql_error());
    } else {
      mysql_select_db($db_name, $link);
    }
    return $link;
  }

  function db_disconnect($link) {
    mysql_close($link);
  }

?>